# Jetpack Compose Playground


## Introduction
This is a community-driven collection of Jetpack Compose documentation/examples/tutorials and demos.

## Show some :heart: and star the repo to support the project

[![GitHub stars](https://img.shields.io/github/stars/Foso/Jetpack-Compose-Playground.svg?style=social&label=Star)](https://github.com/Foso/Jetpack-Compose-Playground) [![GitHub forks](https://img.shields.io/github/forks/Foso/Jetpack-Compose-Playground.svg?style=social&label=Fork)](https://github.com/Foso/Jetpack-Compose-Playground/fork) [![GitHub watchers](https://img.shields.io/github/watchers/Foso/Jetpack-Compose-Playground.svg?style=social&label=Watch)](https://github.com/Foso/Jetpack-Compose-Playground) [![Twitter Follow](https://img.shields.io/twitter/follow/jklingenberg_.svg?style=social)](https://twitter.com/jklingenberg_)

[![jCenter](https://img.shields.io/badge/MIT-green.svg)](https://github.com/Foso/Jetpack-Compose-Playground/blob/master/LICENSE)
[![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square)](http://makeapullrequest.com)
[![jCenter](https://img.shields.io/badge/Compose-1.2.1-green.svg
)](https://github.com/Foso/Jetpack-Compose-Playground/blob/master/LICENSE)
![Android Weekly](https://androidweekly.net/issues/issue-431/badge)
[![Contributors](https://img.shields.io/github/contributors/Foso/Jetpack-Compose-Playground.svg)](#contributors)
  <a href="https://twitter.com/intent/tweet?text=Hey, check out Jetpack-Compose-Playground https://github.com/Foso/Jetpack-Compose-Playground via @jklingenberg_ #Android
"><img src="https://img.shields.io/twitter/url/https/github.com/angular-medellin/meetup.svg?style=social" alt="Tweet"></a>



## What is Jetpack Compose?
"Jetpack Compose is a modern toolkit for building native Android UI. Jetpack Compose simplifies and accelerates UI development on Android with less code, powerful tools, and intuitive Kotlin APIs. "


<iframe width="560" height="315" src="https://www.youtube-nocookie.com/embed/kLA1QwDjioc" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

## Composable of the week!! 🎉
The [LazyVerticalGrid](foundation/lazyverticalgrid.md)


## New to Compose?
Check [Project Setup](general/getting_started.md) or [Hello World Compose](general/helloworld/)

### Animation
* [Crossfade](animation/crossfade)

### Layouts
---
* [ConstraintLayout](layout/constraintlayout)
* [Scaffold](material/scaffold)
* [Column](layout/column)
* [Row](layout/row)
* [Box](layout/box)

### Foundation
---
* [Canvas](foundation/canvas.md)
* [Image](foundation/image.md)
* [LazyColumn](foundation/lazycolumn.md)
* [LazyRow](foundation/lazyrow.md)
* [LazyVerticalGrid](foundation/lazyverticalgrid.md)
* [Shape](foundation/shape.md)
* [Text](foundation/text.md)

### Material
---
* [AlertDialog](material/alertdialog.md)
* [Button](material/button.md)
* [Card](material/card.md)
* [Checkbox](material/checkbox.md)
* [CircularProgressIndicator](material/circularprogressindicator.md)
* [DropdownMenu](material/dropdownmenu.md)
* [FloatingActionButton](material/floatingactionbutton.md)
* [ModalDrawerLayout](material/modaldrawer.md)
* [RadioButton](material/radiobutton.md)
* [Scaffold](material/scaffold.md)
* [Slider](material/slider.md)
* [Snackbar](material/snackbar.md)
* [Switch](material/switch.md)
* [TextField](material/textfield.md)

## Looking for tutorials/sample code
Take a look at the sidebar under "Guides & Samples" or check [Compose projects](compose_projects)


## Contributing
Interested in adding samples/tutorials? Check [Contributing](contributing.md)

## 📜 License

This project is licensed under the MIT License - see the [LICENSE.md](https://github.com/Foso/Jetpack-Compose-Playground/blob/master/LICENSE) file for details
